> ## Documentation Index
> Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Identifier Group Alerts



## OpenAPI

````yaml firework-v2-openapi post /firework/v2/assets/groups/{assets_group_id}/alerts
openapi: 3.0.1
info:
  description: >

    Manage and access Firework resources.


    ### Steps to use the Api


    1. `Send` a POST request to `https://api.flare.systems/tokens/generate` with
    your **Firework** credentials using [Basic
    Auth](https://en.wikipedia.org/wiki/Basic_access_authentication) to get a
    authentication token.

    ---

    2. On the current page, click on the **Authorize** button and insert the
    token using the following format: `Bearer {token}`

       Example value: `Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.e30.Et9HFtf9R3GEMA0IICOfFMVXY7kkTX1wr4qCyhIf58U`
    ---

    3. You should now be able to use SwaggerUI's built-in tools to query the
    documented endpoints.
  title: Firework API
  version: v2
servers:
  - url: https://api.flare.io/
security:
  - BearerAuth: []
tags:
  - description: Searches the threat activity database.
    name: search
  - description: Manage a user's or organization's identifiers
    name: Identifiers
  - description: Perform actions on activities.
    name: activities
  - description: Perform actions on the current user.
    name: me
  - description: Manage tenants.
    name: tenants
  - description: Admin management of organizations.
    name: organizations
  - description: Manage reporting as an admin.
    name: reporting
paths:
  /firework/v2/assets/groups/{assets_group_id}/alerts:
    post:
      tags:
        - Identifiers
      operationId: post_assets_group_alerts_/assets/groups/<int:assets_group_id>/alerts
      parameters:
        - in: path
          name: assets_group_id
          required: true
          schema:
            type: integer
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FeedAlert'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FeedAlert'
          description: Success
components:
  schemas:
    FeedAlert:
      properties:
        name:
          type: string
        id:
          type: integer
        type:
          enum:
            - email
            - channel
            - azure_sentinel
            - azure_sentinel_v2
            - slack
            - discord
            - splunk
            - jira
            - teams
            - servicenow
            - webhook
          example: email
          type: string
        feed_url:
          type: string
        feed_target_type:
          enum:
            - assets/groups
            - assets
            - home
          example: assets/groups
          type: string
        feed_target_id:
          type: integer
        frequency:
          type: integer
        start_at:
          format: date-time
          type: string
        created_at:
          format: date-time
          type: string
        params:
          properties: {}
          type: object
        tenant_id:
          type: integer
        organization_id:
          type: integer
        search_types:
          items:
            enum:
              - attachment
              - listing
              - ransomleak
              - forum_post
              - forum_topic
              - forum_profile
              - blog_post
              - seller
              - paste
              - leak
              - chat_message
              - domain
              - bot
              - stealer_log
              - infected_devices
              - driller
              - driller_forum_topic
              - driller_forum_post
              - driller_profile
              - cc
              - ccbin
              - financial_data
              - leaked_data
              - leaked_file
              - document
              - account
              - actor
              - forum_content
              - blog_content
              - profile
              - leaked_credential
              - illicit_networks
              - open_web
              - domains
              - leaks
              - social_media_account
              - social_media
              - source_code
              - source_code_secrets_np
              - source_code_secrets
              - source_code_files
              - docker
              - stack_exchange
              - google
              - service
              - driller_host
              - buckets
              - bucket
              - bucket_object
              - whois
              - ad
              - ads
              - cookie
              - pii
              - experimental
            example: attachment
            type: string
          type: array
        experimental_search_types:
          items:
            type: string
          type: array
        risks:
          items:
            type: integer
          type: array
        tenant_alert_channel_id:
          type: integer
      required:
        - frequency
        - params
        - start_at
        - type
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````